TEMPLATE     = app
CONFIG      += qt warn_on thread
UI_DIR = tmp
MOC_DIR      = tmp
OBJECTS_DIR  = tmp
VVERSION = $$[QT_VERSION]
isEmpty(VVERSION) {
	# Qt 3
	INCLUDEPATH    += /usr/include/qwtplot3d-qt3
	unix:LIBS += -lqwtplot3d-qt3
} else {
	# Qt 4
	INCLUDEPATH    += /usr/include/qwtplot3d-qt4
	unix:LIBS += -lqwtplot3d-qt4
}
DEPENDPATH	= $$INCLUDEPATH
DESTDIR = ../bin

win32:LIBS += ../../lib/qwtplot3d.lib

win32:TEMPLATE  = vcapp
win32:DEFINES  += QT_DLL QWT3D_DLL

win32:QMAKE_CXXFLAGS     += -GX 
linux-g++:QMAKE_CXXFLAGS += -fno-exceptions

RC_FILE = ../icon.rc

MYVERSION = $$[QMAKE_VERSION] 
ISQT4 = $$find(MYVERSION, ^[2-9])

!isEmpty( ISQT4 ) {
#RESOURCES     = ../images.qrc #Not found in library
QT += opengl
}

isEmpty( ISQT4 ) {
CONFIG += opengl
}
